Skip to main content
POST
/
v1
/
{tenantUUID}
/
market
/
ipv4
/
services
/
reserve
Reserve Subnet
curl --request POST \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/ipv4/services/reserve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pricing_uuid": "string",
  "address": "string",
  "cidr": 0,
  "ip_price": "string",
  "contract_length": 0
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Body

application/json
pricing_uuid
string<uuid>
required
address
string
required
cidr
integer
required
Required range: 1 <= x <= 24
ip_price
string
required
contract_length
integer
required

Response

Success